import request from '@/utils/request';


//查询学生列表
export function querySchoolStudentList(params:any){
  return request({
    url: '/base/school-student/querySchoolStudentList' ,
    method: 'get',
    params: params
  });
}
//分页查询学生列表
export function querySchoolStudentPage(params:any){
  return request({
    url: '/base/school-student/querySchoolStudentPage' ,
    method: 'get',
    params: params
  });
}

//分页查询学生列表
export function querySchoolStudent(params:any){
  return request({
    url: '/base/school-student/querySchoolStudent' ,
    method: 'get',
    params: params
  });
}
//批量转入学生
export function shiftSchoolStudent(params:any){
  return request({
    url: '/base/school-student/shiftSchoolStudent' ,
    method: 'post',
    params: params
  });
}

//新增学生
export function addSchoolStudent(data:any){
  return request({
    url:'/base/school-student/addSchoolStudent' ,
    method: 'post',
    data: data
  });
}
//修改学生
export function updateSchoolStudent(data:any){
  return request({
    url:'/base/school-student/updateSchoolStudent' ,
    method: 'post',
    data: data
  });
}
//删除学生
export function delSchoolStudent(queryParams:any){
  return request({
    url:'/base/school-student/delSchoolStudent' ,
    method: 'post',
    params: queryParams
  });
}

//批量调整班级
export function adjustClass(queryParams:any){
  return request({
    url:'/base/school-student/adjustClass' ,
    method: 'post',
    params: queryParams
  });
}

//批量调整班级
export function muchTransferOut(queryParams:any){
  return request({
    url:'/base/school-student/muchTransferOut' ,
    method: 'post',
    params: queryParams
  });
}

//学生视力数据档案列表
export function queryStudentVisdataList(params:any){
  return request({
    url: '/base/student-visdata/queryStudentVisdataList' ,
    method: 'get',
    params: params
  });
}
//学生视力数据档案列表
export function queryVisionChangeTrend(params:any){
  return request({
    url: '/base/student-visdata/queryVisionChangeTrend' ,
    method: 'get',
    params: params
  });
}
//学生视力数据档案列表
export function queryStudentInfolog(params:any){
  return request({
    url: '/base/student-infolog/queryStudentInfolog' ,
    method: 'get',
    params: params
  });
}



//分页查询学生视力数据档案
export function queryStudentVisdataPage(params:any){
  return request({
    url: '/base/student-visdata/queryStudentVisdataPage' ,
    method: 'get',
    params: params
  });
}
//导出
export function exportVisionForm(params: any) {
  return request({
      url: '/base/student-visdata/exportVisionForm',
      method: 'get',
      params: params,
      responseType: 'arraybuffer',
  });
}

//下载学生模版
export function exportStudent(queryParams: any) {
  return request({
    url: '/base/school-student/exportStudent',
    method: 'post',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}